> ## Documentation Index
> Fetch the complete documentation index at: https://avenue.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Report

> Retrieve aggregated insights and flow data for a specific wallet.

## Request Headers

<ParamField header="x-api-key" type="string" required>
  Your live or test API key.
</ParamField>

## Path Parameters

<ParamField path="wallet_id" type="string" required>
  The Avenue wallet ID.
</ParamField>

## Query Parameters

<ParamField query="start_date" type="string">
  ISO 8601 formatted start date.
</ParamField>

<ParamField query="end_date" type="string">
  ISO 8601 formatted end date.
</ParamField>

## Response

<Note>
  All amounts and balances in this endpoint are represented in **kobo** (e.g., `500000` = ₦5,000.00). Ensure you do not send or expect Naira values.
</Note>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
      "start_date": "2026-06-01T00:00:00Z",
      "end_date": "2026-07-01T00:00:00Z",
      "total_inflow": 2500000,
      "total_outflow": 1000000,
      "net_flow": 1500000,
      "transaction_count": 12,
      "flagged_transactions_count": 0,
      "categories": [
        {
          "category": "School Fees",
          "total_amount": 2500000,
          "transaction_count": 10
        }
      ],
      "daily_flows": [
        {
          "date": "2026-06-15",
          "total_inflow": 500000,
          "total_outflow": 0
        }
      ]
    }
  }
  ```
</ResponseExample>
